Subject: [6tisch] nits draft-piro-6tisch-security-issues-01

From: Thomas Watteyne <[email-masked]>
Date: Thu, 19 Dec 2013 18:00:39 -0800

Authors,
You find a list of nits below. More (content-related) remarks to come.
Thomas

Minor:

   - The introduction reads like a research paper. I would suggest trimming
   that down. In particular, the "related work" on ZigBee, the complexity of
   security,  and such might not be needed.
   - Most radio and some uC have AES-128 ciphers built in. Speeds up
   cryptographic operations. I would be careful about claims about
   implementability, or maybe even remove those paragraphs from the
   introduction.
   - you should add KMP to your definitions
   - "It is not valid if the * attribute is not valid". That's usually the
   case :)

Trivial (*a* means add, **a** means remove, please Ctrl+F)

   - newline in title? See http://xml.resource.org/xml2rfcFAQ.html#anchor31
   - "for the setting up" -> "for setting up"
   - please use a xref statement to link
   to [I-D.palattella-6tischterminology]
   - same for [I-D.wang-6tisch-6top], and several others. You can look at
   the pdf and find the ones which are not underlined.
   - [I-D.palattella-6tischterminology] is out of date, please use
   [draft-ietf-6tisch-terminology]
   - same for [ID.watteyne-6tisch-tsch]
   - born -> created
   - that need -> that needs
   - these work*s*
   - IEFT->IETF
   - In [*] is present -> [*] presents
   - neglectable -> negligeable
   - PAN -> PANA?
   - establish a secure communication with -> establish secure
   communication with
   - composed by -> composed of
   - high layer -> higher/upper layer
   - there is a huge overflow on page 34
   - it customary to put the full first name in the author's addresses